import { ElementRef } from '@angular/core';
import { ControlValueAccessor, FormGroupDirective, NgControl, NgForm } from '@angular/forms';
export declare class BooleanValueDirective implements ControlValueAccessor {
    private ngControl;
    private element;
    onChange: (value: any) => void;
    onTouched: () => void;
    readonly isInvalid: boolean;
    private readonly parent;
    constructor(parentForm: NgForm, parentFormGroup: FormGroupDirective, ngControl: NgControl, element: ElementRef);
    _onChange(value: any): void;
    _onBlur(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(disabled: boolean): void;
}
